/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.twa.xliff.wizards;

import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Combo;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Group;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Text;

public class ExtractXliffFragmentWizardPage2 extends WizardPage {

	private Text text;

	protected ExtractXliffFragmentWizardPage2() {
		super("ExtractXliffFragmentWizardPage2");
		setTitle("対象ファイルの指定");
		setDescription("対象ファイルを指定します。");
	}

	public void createControl(Composite parent) {
		Composite composite = new Composite(parent, SWT.NULL);
		composite.setLayout(new GridLayout(3, false));

		Label label = new Label(composite, SWT.NULL);
		label.setText("対象ファイル");

		text = new Text(composite, SWT.BORDER);
		text.setLayoutData(new GridData(GridData.FILL_HORIZONTAL));

		// browse button
		Button browseButton1 = new Button(composite, SWT.PUSH);
		browseButton1.setText("参照...");

		Label label1 = new Label(composite, SWT.NULL);
		label1.setText("出力先");

		text = new Text(composite, SWT.BORDER);
		text.setLayoutData(new GridData(GridData.FILL_HORIZONTAL));

		// browse button
		Button browseButton2 = new Button(composite, SWT.PUSH);
		browseButton2.setText("参照...");

		Group group = new Group(composite, SWT.NULL);
		group.setText("抽出方法");
		GridData howToExtractGrid = new GridData(GridData.FILL_HORIZONTAL);
		howToExtractGrid.horizontalSpan = 2;
		group.setLayoutData(howToExtractGrid);
		group.setLayout(new GridLayout(2, false));

		Button item2 = new Button(group, SWT.CHECK);
		item2.setText("状態で抽出");
		item2.setSelection(true);
		Combo combo = new Combo(group, SWT.BORDER);
		combo.add("（未選択）");
		combo.setText("（未選択）");
		combo.setLayoutData(new GridData());

		Button item1 = new Button(group, SWT.CHECK);
		item1.setText("件数で区切って抽出");
		text = new Text(group, SWT.BORDER);
		text.setLayoutData(new GridData());

		Label spacer = new Label(composite, SWT.NULL);
		spacer.setText("");

		Group group1 = new Group(composite, SWT.NULL);
		group1.setText("出力ファイル名オプション");
		GridData outputFileNameOptionGrid = new GridData(
				GridData.FILL_HORIZONTAL);
		outputFileNameOptionGrid.horizontalSpan = 2;
		group1.setLayoutData(outputFileNameOptionGrid);
		group1.setLayout(new GridLayout(1, false));

		Button check = new Button(group1, SWT.CHECK);
		check.setText("ファイル名に年月日を含める");
		check.setSelection(true);

		setControl(composite);
	}
}
